#include <avr/eeprom.h> 
#include "hd44780.h"

#define NUM_EXECUTIONS_ADDRESS 0x00

int main (void)
{
    lcd_init();

	uint16_t num_executions = eeprom_read_word((uint16_t*)NUM_EXECUTIONS_ADDRESS);
	if (num_executions==0xFFFF)
		num_executions=0;
	num_executions++;
	eeprom_write_word((uint16_t*)NUM_EXECUTIONS_ADDRESS,num_executions);
    
    lcd_clrscr();

	char buffer[16];
	sprintf(buffer,"%d Executions", num_executions);
	lcd_puts(buffer);

    return(0);
}
